Assignments Assignments

Classes | Macros | Enumerations | Functions | Variables
jpegint.h File Reference

Go to the source code of this file.

## Classes
struct | jpeg_comp_master
struct | jpeg_c_main_controller
struct | jpeg_c_prep_controller
struct | jpeg_c_coef_controller
struct | jpeg_color_converter
struct | jpeg_downsampler
struct | jpeg_forward_dct
struct | jpeg_entropy_encoder
struct | jpeg_marker_writer
struct | jpeg_decomp_master
struct | jpeg_input_controller
struct | jpeg_d_main_controller
struct | jpeg_d_coef_controller
struct | jpeg_d_post_controller
struct | jpeg_marker_reader
struct | jpeg_entropy_decoder
struct | jpeg_inverse_dct
struct | jpeg_upsampler
struct | jpeg_color_deconverter
struct | jpeg_color_quantizer

## Macros
#define | CSTATE_START 100 /* after create_compress */
#define | CSTATE_SCANNING 101 /* start_compress done, write_scanlines OK */
#define | CSTATE_RAW_OK 102 /* start_compress done, write_raw_data OK */
#define | CSTATE_WRCOEFS 103 /* jpeg_write_coefficients done */
#define | DSTATE_START 200 /* after create_decompress */
#define | DSTATE_INHEADER 201 /* reading header markers, no SOS yet */
#define | DSTATE_READY 202 /* found SOS, ready for start_decompress */
#define | DSTATE_PRELOAD 203 /* reading multiscan file in start_decompress*/
#define | DSTATE_PRESCAN 204 /* performing dummy pass for 2-pass quant */
#define | DSTATE_SCANNING 205 /* start_decompress done, read_scanlines OK */
#define | DSTATE_RAW_OK 206 /* start_decompress done, read_raw_data OK */
#define | DSTATE_BUFIMAGE 207 /* expecting jpeg_start_output */
#define | DSTATE_BUFPOST 208 /* looking for SOS/EOI in jpeg_finish_output */
#define | DSTATE_RDCOEFS 209 /* reading file in jpeg_read_coefficients */
#define | DSTATE_STOPPING 210 /* looking for EOI in jpeg_finish_decompress */
#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | MIN(a, b) ((a) < (b) ? (a) : (b))
#define | SHIFT_TEMPS
#define | RIGHT_SHIFT(x, shft) ((x) >> (shft))

## Enumerations
enum | J_BUF_MODE { JBUF_PASS_THRU , JBUF_SAVE_SOURCE , JBUF_CRANK_DEST , JBUF_SAVE_AND_PASS }

## Functions
typedef | JMETHOD (void, inverse_DCT_method_ptr,(j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col))
| EXTERN (void) jinit_compress_master JPP((j_compress_ptr cinfo))
| EXTERN (long) jdiv_round_up JPP((long a

## Variables
boolean | transcode_only
boolean | need_full_buffer
long | b
int | source_row
int JSAMPARRAY | output_array
int JSAMPARRAY int | dest_row
int JSAMPARRAY int int | num_rows
int JSAMPARRAY int int JDIMENSION | num_cols
JBLOCKROW | output_row
JBLOCKROW JDIMENSION | num_blocks
size_t | bytestozero
const int | jpeg_natural_order []

## Macro Definition Documentation

## ◆ CSTATE_RAW_OK

#define CSTATE_RAW_OK 102 /* start_compress done, write_raw_data OK */

## ◆ CSTATE_SCANNING

#define CSTATE_SCANNING 101 /* start_compress done, write_scanlines OK */

## ◆ CSTATE_START

#define CSTATE_START 100 /* after create_compress */

## ◆ CSTATE_WRCOEFS

#define CSTATE_WRCOEFS 103 /* jpeg_write_coefficients done */

## ◆ DSTATE_BUFIMAGE

#define DSTATE_BUFIMAGE 207 /* expecting jpeg_start_output */

## ◆ DSTATE_BUFPOST

#define DSTATE_BUFPOST 208 /* looking for SOS/EOI in jpeg_finish_output */

## ◆ DSTATE_INHEADER

#define DSTATE_INHEADER 201 /* reading header markers, no SOS yet */

## ◆ DSTATE_PRELOAD

#define DSTATE_PRELOAD 203 /* reading multiscan file in start_decompress*/

## ◆ DSTATE_PRESCAN

#define DSTATE_PRESCAN 204 /* performing dummy pass for 2-pass quant */

## ◆ DSTATE_RAW_OK

#define DSTATE_RAW_OK 206 /* start_decompress done, read_raw_data OK */

## ◆ DSTATE_RDCOEFS

#define DSTATE_RDCOEFS 209 /* reading file in jpeg_read_coefficients */

## ◆ DSTATE_READY

#define DSTATE_READY 202 /* found SOS, ready for start_decompress */

## ◆ DSTATE_SCANNING

#define DSTATE_SCANNING 205 /* start_decompress done, read_scanlines OK */

## ◆ DSTATE_START

#define DSTATE_START 200 /* after create_decompress */

## ◆ DSTATE_STOPPING

#define DSTATE_STOPPING 210 /* looking for EOI in jpeg_finish_decompress */

## ◆ MAX

#define MAX | ( |  | a,
|  |  | b ) ((a) > (b) ? (a) : (b))

## ◆ MIN

#define MIN | ( |  | a,
|  |  | b ) ((a) < (b) ? (a) : (b))

## ◆ RIGHT_SHIFT

#define RIGHT_SHIFT | ( |  | x,
|  |  | shft ) ((x) >> (shft))

## ◆ SHIFT_TEMPS

#define SHIFT_TEMPS

## Enumeration Type Documentation

## ◆ J_BUF_MODE

enum J_BUF_MODE

Enumerator
JBUF_PASS_THRU |
JBUF_SAVE_SOURCE |
JBUF_CRANK_DEST |
JBUF_SAVE_AND_PASS |

## Function Documentation

## ◆ EXTERN() [1/2]

EXTERN | ( | long |  | ) |

## ◆ EXTERN() [2/2]

EXTERN | ( | void |  | ) |

## ◆ JMETHOD()

typedef JMETHOD | ( | void | ,
|  | inverse_DCT_method_ptr | ,
|  | (j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col) | )

## Variable Documentation

## ◆ b

long b

## ◆ bytestozero

size_t bytestozero

## ◆ dest_row

int JSAMPARRAY int dest_row

## ◆ jpeg_natural_order

const int jpeg_natural_order[]
| extern

## ◆ need_full_buffer

boolean need_full_buffer

## ◆ num_blocks

JBLOCKROW JDIMENSION num_blocks

## ◆ num_cols

int JSAMPARRAY int int JDIMENSION num_cols

## ◆ num_rows

int JSAMPARRAY int int num_rows

## ◆ output_array

int JSAMPARRAY output_array

## ◆ output_row

JBLOCKROW output_row

## ◆ source_row

int source_row

## ◆ transcode_only

boolean transcode_only